Bug 611155 - Upgrading kernel 2.6.31 (fc12) causes blank screen at boot.
Upgrading kernel 2.6.31 (fc12) causes blank screen at boot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 20:34 EDT by Sean Lawton
Modified: 2013-01-10 01:03 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:32:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Lawton 2010-07-03 20:34:43 EDT
Description of problem:
On a latitude e6410 laptop running fc12 with kernel 2.6.31 and intel graphics, updating the kernel causes a blank screen at boot.

Version-Release number of selected component (if applicable):
FC 12 2.6.31.5-127.i686 with latitude e6410 laptop and intel chipset

How reproducible:
At boot every time.

Steps to Reproduce:
1.Update kernel
2.reboot
3.blank screen
  
Actual results:
blank screen

Expected results:
normal boot

Additional info:
I know there are many other bugs that seems to be related, but this seems rather severe to me so I thought I would register another.
Comment 1 Sergio Monteiro Basto 2010-07-05 14:13:18 EDT
this is fixed on https://bugs.freedesktop.org/show_bug.cgi?id=28070

or kernel 2.6.33.5-137.fc13 from http://koji.fedoraproject.org/koji/packageinfo?packageID=8
Comment 2 Sean Lawton 2010-07-07 01:38:17 EDT
Thanks.  Will this patch be integrated into fc12 kernel update?  Otherwise, can you point me in the right direction to some instructions for including a patch in a kernel (I am assuming this one will work with fc12).
Comment 3 Sergio Monteiro Basto 2010-07-07 09:15:50 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=181940 
I don't found any reference . 
why don't you try 
http://koji.fedoraproject.org/koji/buildinfo?buildID=181886
which is a kernel for F13 in yours F12 ?
Comment 4 Sean Lawton 2010-07-07 11:23:04 EDT
Thanks for the suggestion.

Okay, I tried that and it seems to be working and also be an improvement with respect to graphics.  Suspend still does not work (I have not tried an external projector or screen yet).  

It also killed my wifi.  So I tried to rebuild the .ko file for the wifi but it says the "build" directory does not exist in the 2.6.33.6-147.fc13.i686 directory.  Should I create a symbolic link to the build directory in my 2.6.31.5-127.fc12.i686 directory?  Sorry for these questions.  

Also is there a way to suggest that these patches be included in the fc12 kernel updates, as this seems more natural.
Comment 5 Sergio Monteiro Basto 2010-07-07 11:51:32 EDT
(In reply to comment #4)
> Thanks for the suggestion.
> 
> Okay, I tried that and it seems to be working and also be an improvement with
> respect to graphics.  Suspend still does not work (I have not tried an external
> projector or screen yet).

suspend problem is another bug , see https://bugs.freedesktop.org/show_bug.cgi?id=28739

 
> It also killed my wifi.  So I tried to rebuild the .ko file for the wifi but it
> says the "build" directory does not exist in the 2.6.33.6-147.fc13.i686
> directory.  Should I create a symbolic link to the build directory in my
> 2.6.31.5-127.fc12.i686 directory?  Sorry for these questions.  

No you should upgrade kernel-devel and kernel-headers ,
kernel-devel-2.6.33.6-147.fc13.i686 and kernel-headers-2.6.33.6-147.fc13.i686 in this case.

 
> Also is there a way to suggest that these patches be included in the fc12
> kernel updates, as this seems more natural.    

what keep you in f12 ?
Comment 6 Sean Lawton 2010-07-09 12:07:39 EDT
Thanks, that worked.  I still need to insmod the wifi after each reboot now for some reason, but it works when I do.

I am trying to stay in f12 since it is configured with many programs and personal touches, and I do not want to start all over.  Is there a way to change to fc13 without completely starting over (that is stable)?

Also, have you gotten the synaptic scroll feature to work on the e6410?

I see the bug reports for the external monitor and also for the suspend; I will be following them.

Thanks again for you help.

Best,

Sean
Comment 7 Sean Lawton 2010-07-09 16:03:44 EDT
I just tried to use preupgrade to move to fc13 and after the boot the entire screen is blank and I can't login.  I am guessing this is the same problem.  However, I don't know how to use preupgrade and get the "fixed" kernel to stay.
Comment 8 Bug Zapper 2010-11-03 08:32:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-03 08:32:41 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.